com.opensymphony.xwork2.ognl.accessor

## Class XWorkMethodAccessor

- java.lang.Object
- - ognl.ObjectMethodAccessor
  - - com.opensymphony.xwork2.ognl.accessor.XWorkMethodAccessor

- All Implemented Interfaces:
    ognl.MethodAccessor

      public class XWorkMethodAccessor
      extends ognl.ObjectMethodAccessor

  Allows methods to be executed under normal cirumstances, except when `ReflectionContextState.DENY_METHOD_EXECUTION` is in the action context with a value of true.
  Author:
    Patrick Lightbody, tmjee

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkMethodAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `callMethod(Map context, Object object, String string, Object[] objects)`
    `Object` | `callStaticMethod(Map context, Class aClass, String string, Object[] objects)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkMethodAccessor

          public XWorkMethodAccessor()

  - ### Method Detail

    - #### callMethod

          public Object callMethod(Map context,
                                   Object object,
                                   String string,
                                   Object[] objects)
                            throws ognl.MethodFailedException

      Specified by:
        `callMethod` in interface `ognl.MethodAccessor`
      Overrides:
        `callMethod` in class `ognl.ObjectMethodAccessor`
      Throws:
        `ognl.MethodFailedException`

    - #### callStaticMethod

          public Object callStaticMethod(Map context,
                                         Class aClass,
                                         String string,
                                         Object[] objects)
                                  throws ognl.MethodFailedException

      Specified by:
        `callStaticMethod` in interface `ognl.MethodAccessor`
      Overrides:
        `callStaticMethod` in class `ognl.ObjectMethodAccessor`
      Throws:
        `ognl.MethodFailedException`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.